Ubuntu

Change log for “xulrunner-1.9” package in Ubuntu

175 of 92 results
Published in hardy-updates on 2010-04-10
Published in hardy-security on 2010-04-09
xulrunner-1.9 (1.9.0.19+nobinonly-0ubuntu0.8.04.1) hardy-security; urgency=low

  * New upstream release v1.9.0.19 (FIREFOX_3_0_19_RELEASE)
    - see USN-920-1
 -- Chris Coulson <email address hidden>   Wed, 31 Mar 2010 14:53:19 +0100
Obsolete in intrepid-updates on 2013-02-20
Obsolete in intrepid-security on 2013-02-20
xulrunner-1.9 (1.9.0.19+nobinonly-0ubuntu0.8.10.1) intrepid-security; urgency=low

  * New upstream release v1.9.0.19 (FIREFOX_3_0_19_RELEASE)
    - see USN-920-1
 -- Chris Coulson <email address hidden>   Wed, 31 Mar 2010 11:48:57 +0100
Obsolete in jaunty-updates on 2013-02-28
Obsolete in jaunty-security on 2013-02-28
xulrunner-1.9 (1.9.0.19+nobinonly-0ubuntu0.9.04.1) jaunty-security; urgency=low

  * New upstream release v1.9.0.19 (FIREFOX_3_0_19_RELEASE)
    - see USN-920-1
 -- Chris Coulson <email address hidden>   Wed, 31 Mar 2010 11:37:11 +0100
Superseded in intrepid-updates on 2010-04-10
Superseded in intrepid-security on 2010-04-09
xulrunner-1.9 (1.9.0.18+build1+nobinonly-0ubuntu0.8.10.1) intrepid-security; urgency=low

  * New upstream release v1.9.0.18 (FIREFOX_3_0_18_BUILD1)
    - see USN-895-1
 -- Micah Gersten <email address hidden>   Sun, 14 Feb 2010 16:55:40 -0600
Superseded in hardy-updates on 2010-04-10
Superseded in hardy-security on 2010-04-09
xulrunner-1.9 (1.9.0.18+build1+nobinonly-0ubuntu0.8.04.1) hardy-security; urgency=low

  * New upstream release v1.9.0.18 (FIREFOX_3_0_18_BUILD1)
    - see USN-895-1
 -- Micah Gersten <email address hidden>   Sun, 14 Feb 2010 16:45:35 -0600
Superseded in jaunty-updates on 2010-04-10
Superseded in jaunty-security on 2010-04-09
xulrunner-1.9 (1.9.0.18+build1+nobinonly-0ubuntu0.9.04.1) jaunty-security; urgency=low

  * New upstream release v1.9.0.18 (FIREFOX_3_0_18_BUILD1)
    - see USN-895-1
 -- Micah Gersten <email address hidden>   Sun, 14 Feb 2010 16:37:23 -0600
Superseded in intrepid-updates on 2010-02-17
Superseded in intrepid-security on 2010-02-17
xulrunner-1.9 (1.9.0.17+nobinonly-0ubuntu0.8.10.1) intrepid-security; urgency=low

  * New upstream release v1.9.0.17 (FIREFOX_3_0_17_RELEASE)
    - see USN-877-1
 -- Alexander Sack <email address hidden>   Wed, 06 Jan 2010 05:44:14 +0100
Superseded in hardy-updates on 2010-02-17
Superseded in hardy-security on 2010-02-17
xulrunner-1.9 (1.9.0.17+nobinonly-0ubuntu0.8.04.1) hardy-security; urgency=low

  * New upstream release v1.9.0.17 (FIREFOX_3_0_17_RELEASE)
    - see USN-877-1
 -- Alexander Sack <email address hidden>   Wed, 06 Jan 2010 05:30:35 +0100
Superseded in jaunty-updates on 2010-02-17
Superseded in jaunty-security on 2010-02-17
xulrunner-1.9 (1.9.0.17+nobinonly-0ubuntu0.9.04.1) jaunty-security; urgency=low

  * New upstream release v1.9.0.17 (FIREFOX_3_0_17_RELEASE)
    - see USN-877-1
 -- Alexander Sack <email address hidden>   Wed, 06 Jan 2010 05:14:04 +0100
Superseded in hardy-updates on 2010-01-08
Superseded in hardy-security on 2010-01-08
xulrunner-1.9 (1.9.0.16+nobinonly-0ubuntu0.8.04.1) hardy-security; urgency=low

  * New upstream release v1.9.0.16 (FIREFOX_3_0_16_RELEASE)
    - see USN-873-1
 -- Alexander Sack <email address hidden>   Wed, 16 Dec 2009 02:12:55 +0100
Superseded in intrepid-updates on 2010-01-08
Superseded in intrepid-security on 2010-01-08
xulrunner-1.9 (1.9.0.16+nobinonly-0ubuntu0.8.10.1) intrepid-security; urgency=low

  * New upstream release v1.9.0.16 (FIREFOX_3_0_16_RELEASE)
    - see USN-873-1
 -- Alexander Sack <email address hidden>   Wed, 16 Dec 2009 01:56:18 +0100
Superseded in jaunty-updates on 2010-01-08
Superseded in jaunty-security on 2010-01-08
xulrunner-1.9 (1.9.0.16+nobinonly-0ubuntu0.9.04.1) jaunty-security; urgency=low

  * New upstream release v1.9.0.16 (FIREFOX_3_0_16_RELEASE)
    - see USN-873-1
 -- Alexander Sack <email address hidden>   Wed, 16 Dec 2009 01:10:39 +0100
Superseded in jaunty-updates on 2009-12-18
Superseded in jaunty-security on 2009-12-18
xulrunner-1.9 (1.9.0.15+nobinonly-0ubuntu0.9.04.1) jaunty-security; urgency=low

  * New upstream release v1.9.0.15 (FIREFOX_3_0_15_RELEASE)
    - see USN-853-1

 -- Alexander Sack <email address hidden>   Wed, 28 Oct 2009 15:56:23 +0100
Superseded in intrepid-updates on 2009-12-18
Superseded in intrepid-security on 2009-12-18
xulrunner-1.9 (1.9.0.15+nobinonly-0ubuntu0.8.10.1) intrepid-security; urgency=low

  * New upstream release v1.9.0.15 (FIREFOX_3_0_15_RELEASE)
    - see USN-853-1

 -- Alexander Sack <email address hidden>   Wed, 28 Oct 2009 15:16:50 +0100
Superseded in hardy-updates on 2009-12-18
Superseded in hardy-security on 2009-12-18
xulrunner-1.9 (1.9.0.15+nobinonly-0ubuntu0.8.04.1) hardy-security; urgency=low

  * New upstream release v1.9.0.15 (FIREFOX_3_0_15_RELEASE)
    - see USN-853-1

 -- Alexander Sack <email address hidden>   Wed, 28 Oct 2009 15:06:08 +0100
Superseded in jaunty-updates on 2009-10-30
Superseded in jaunty-security on 2009-10-30
xulrunner-1.9 (1.9.0.14+build2+nobinonly-0ubuntu0.9.04.1) jaunty-security; urgency=low

  * New upstream release v1.9.0.14 build2 (FIREFOX_3_0_14_BUILD2)
    - see USN-821-1

 -- Alexander Sack <email address hidden>   Wed, 02 Sep 2009 17:05:08 +0200
Superseded in intrepid-updates on 2009-10-30
Superseded in intrepid-security on 2009-10-30
xulrunner-1.9 (1.9.0.14+build2+nobinonly-0ubuntu0.8.10.1) intrepid-security; urgency=low

  * New upstream release v1.9.0.14 build2 (FIREFOX_3_0_14_BUILD2)
    - see USN-821-1

 -- Alexander Sack <email address hidden>   Wed, 02 Sep 2009 17:07:06 +0200
Superseded in hardy-updates on 2009-10-30
Superseded in hardy-security on 2009-10-30
xulrunner-1.9 (1.9.0.14+build2+nobinonly-0ubuntu0.8.04.1) hardy-security; urgency=low

  * New upstream release v1.9.0.14 build2 (FIREFOX_3_0_14_BUILD2)
    - see USN-821-1

 -- Alexander Sack <email address hidden>   Wed, 02 Sep 2009 17:08:38 +0200
Deleted in karmic-release on 2009-10-27 (Reason: superseded by xulrunner-1.9.1, no rdepends, LP#456191)
Superseded in karmic-release on 2009-10-20
xulrunner-1.9 (1.9.0.14+build2+nobinonly-0ubuntu1) karmic; urgency=low

  * New upstream release v1.9.0.14 build2 (FIREFOX_3_0_14_BUILD2)
    - see USN-821-1
  * do not ship xulrunner-dev package as 1.9.1 is the default xulrunner
    in karmic
    - update debian/control

 -- Alexander Sack <email address hidden>   Wed, 02 Sep 2009 14:44:30 +0200
Superseded in hardy-updates on 2009-09-10
Superseded in hardy-security on 2009-09-10
xulrunner-1.9 (1.9.0.13+nobinonly-0ubuntu0.8.04.1) hardy-security; urgency=low

  * New upstream release v1.9.0.13 (FIREFOX_3_0_13_RELEASE)
    - see USN-811-1

 -- Alexander Sack <email address hidden>   Mon, 03 Aug 2009 13:19:21 +0200
Superseded in intrepid-updates on 2009-09-10
Superseded in intrepid-security on 2009-09-10
xulrunner-1.9 (1.9.0.13+nobinonly-0ubuntu0.8.10.1) intrepid-security; urgency=low

  * New upstream release v1.9.0.13 (FIREFOX_3_0_13_RELEASE)
    - see USN-811-1

 -- Alexander Sack <email address hidden>   Mon, 03 Aug 2009 13:16:32 +0200
Superseded in jaunty-updates on 2009-09-10
Superseded in jaunty-security on 2009-09-10
xulrunner-1.9 (1.9.0.13+nobinonly-0ubuntu0.9.04.1) jaunty-security; urgency=low

  * New upstream release v1.9.0.12 build1 (FIREFOX_3_0_13_RELEASE)
    - see USN-811-1

 -- Alexander Sack <email address hidden>   Mon, 03 Aug 2009 12:48:13 +0200
Superseded in karmic-release on 2009-09-10
xulrunner-1.9 (1.9.0.13+nobinonly-0ubuntu1) karmic; urgency=low

  * New upstream release v1.9.0.13 (FIREFOX_3_0_13_RELEASE)
    - see USN-811-1
  * drop update-alternative --remove-all hack (which ensured that non-existing alternatives dont end
    up in "manual" mode in the past) now that dpkg fails on them - also the "auto" mode seems to be fixed
    - update debian/xulrunner-1.9.2.prerm.in
  * enable support for "extensions" in build-system
    - update debian/create-build-system.sh

 -- Alexander Sack <email address hidden>   Mon, 03 Aug 2009 12:46:20 +0200
Superseded in intrepid-updates on 2009-08-05
Superseded in intrepid-security on 2009-08-05
xulrunner-1.9 (1.9.0.12+build1+nobinonly-0ubuntu0.8.10.2) intrepid-security; urgency=low

  * New upstream release v1.9.0.12 build1 (FIREFOX_3_0_12_BUILD1)
    - see USN-798-1
  * drop upstreamed patches
    - delete debian/patches/bz412610_att335369_realpath_overflow.patch
    - update debian/patches/series
  * adjust patches to changed upstream code base
    - update debian/patches/bz488710_sqlite_systemlib_backout.patch

 -- Alexander Sack <email address hidden>   Wed, 08 Jul 2009 19:51:42 +0200
Superseded in hardy-updates on 2009-08-05
Superseded in hardy-security on 2009-08-05
xulrunner-1.9 (1.9.0.12+build1+nobinonly-0ubuntu0.8.04.1) hardy-security; urgency=low

  * New upstream release v1.9.0.12 build1 (FIREFOX_3_0_12_BUILD1)
    - see USN-798-1

 -- Alexander Sack <email address hidden>   Wed, 08 Jul 2009 14:03:29 +0200
Superseded in jaunty-updates on 2009-08-05
Superseded in jaunty-security on 2009-08-05
xulrunner-1.9 (1.9.0.12+build1+nobinonly-0ubuntu0.9.04.1) jaunty-security; urgency=low

  * New upstream release v1.9.0.12 build1 (FIREFOX_3_0_12_BUILD1)
    - see USN-798-1
  * drop upstreamed patches
    - delete debian/patches/bz412610_att335369_realpath_overflow.patch

 -- Alexander Sack <email address hidden>   Wed, 08 Jul 2009 13:19:11 +0200
Superseded in karmic-release on 2009-08-05
xulrunner-1.9 (1.9.0.12+build1+nobinonly-0ubuntu1) karmic; urgency=low

  * New upstream release v1.9.0.12 build1 (FIREFOX_3_0_12_BUILD1)
    - see USN-798-1
  * include all packages in translation template export; adjust
    MOZ_TRANSLATION_AUTO_XPI_SEARCHDIRS accordingly
    - update debian/rules
  * drop upstreamed patches
    - delete debian/patches/bz412610_att335369_realpath_overflow.patch
    - delete debian/patches/bz478843_ftbfs_gcc44.patch
    - update debian/patches/series

 -- Alexander Sack <email address hidden>   Wed, 08 Jul 2009 12:22:18 +0200
Superseded in intrepid-updates on 2009-07-22
Superseded in intrepid-security on 2009-07-22
xulrunner-1.9 (1.9.0.11+build2+nobinonly-0ubuntu0.8.10.2) intrepid-security; urgency=low

  * New upstream release v1.9.0.11 build2 (FIREFOX_3_0_11_BUILD2)
    - see USN-779-1
  - adjust patches to changed upstream code base
    - update debian/patches/bz372826_att337031_about_style.patch
  * fix build failure because of too low sqlite system lib; we backout patch landed
    in mbo #488710
    - add debian/patches/bz488710_sqlite_systemlib_backout.patch
    - update debian/patches/series

 -- Alexander Sack <email address hidden>   Wed, 03 Jun 2009 12:23:16 +0200
Superseded in hardy-updates on 2009-07-22
Superseded in hardy-security on 2009-07-22
xulrunner-1.9 (1.9.0.11+build2+nobinonly-0ubuntu0.8.04.1) hardy-security; urgency=low

  * New upstream release v1.9.0.11 build2 (FIREFOX_3_0_11_BUILD2)
    - see USN-779-1

  [ Fabien Tassin ]
  * Add a build-system for xulrunner application inside the SDK.
    mozilla-devscripts is able to make use of this
    - add debian/create-build-system.sh
    - update debian/rules
  * improve create-build-system.sh to detect build-tree directory
    when embedded tarball is used. Fix un-escaped variables.
    Create build-system.tar.gz in the debian directory to prevent
    cdbs to check and unpack it during the build
    - update debian/create-build-system.sh

 -- Alexander Sack <email address hidden>   Wed, 03 Jun 2009 10:55:12 +0200
Superseded in jaunty-updates on 2009-07-22
Superseded in jaunty-security on 2009-07-22
xulrunner-1.9 (1.9.0.11+build2+nobinonly-0ubuntu0.9.04.1) jaunty-security; urgency=low

  * New upstream release v1.9.0.11 build2 (FIREFOX_3_0_11_BUILD2)
    - see USN-779-1
  - adjust patches to changed upstream code base
    - update debian/patches/bz372826_att337031_about_style.patch

 -- Alexander Sack <email address hidden>   Wed, 03 Jun 2009 10:05:43 +0200
Superseded in karmic-release on 2009-07-23
xulrunner-1.9 (1.9.0.11+build2+nobinonly-0ubuntu1) karmic; urgency=low

  * New upstream release v1.9.0.11 build2 (FIREFOX_3_0_11_BUILD2)
    - see USN-779-1
  - adjust patches to changed upstream code base
    - update debian/patches/bz372826_att337031_about_style.patch

 -- Alexander Sack <email address hidden>   Wed, 03 Jun 2009 10:04:36 +0200
Superseded in karmic-release on 2009-06-12
xulrunner-1.9 (1.9.0.10+nobinonly-0ubuntu1.respin1) karmic; urgency=low

  * fix build failure with gcc 4.4 (see https://bugzilla.mozilla.org/show_bug.cgi?id=478843)
    - add debian/patches/bz478843_ftbfs_gcc44.patch
    - update debian/patches/series

 -- Alexander Sack <email address hidden>   Thu, 30 Apr 2009 13:26:37 +0200
Superseded in karmic-release on 2009-04-30
xulrunner-1.9 (1.9.0.10+nobinonly-0ubuntu1) karmic; urgency=low

  * fix build failure with gcc 4.4 (see https://bugzilla.mozilla.org/show_bug.cgi?id=478843)
    - add debian/patches/bz478843_ftbfs_gcc44.patch
    - update debian/patches/series

 -- Alexander Sack <email address hidden>   Thu, 30 Apr 2009 13:26:37 +0200
Superseded in karmic-release on 2009-04-30
Superseded in jaunty-updates on 2009-06-13
Superseded in jaunty-security on 2009-06-12
xulrunner-1.9 (1.9.0.10+nobinonly-0ubuntu0.9.04.1) jaunty-security; urgency=low

  * security/stability v1.9.0.10 (FIREFOX_3_0_10_RELEASE)
    - see USN-765-1

 -- Alexander Sack <email address hidden>   Sat, 25 Apr 2009 14:39:28 +0200
Superseded in intrepid-updates on 2009-06-13
Superseded in intrepid-security on 2009-06-12
xulrunner-1.9 (1.9.0.10+nobinonly-0ubuntu0.8.10.1) intrepid-security; urgency=low

  * security/stability v1.9.0.10 (FIREFOX_3_0_10_RELEASE)
    - see USN-765-1

 -- Alexander Sack <email address hidden>   Sat, 25 Apr 2009 14:41:11 +0200
Superseded in hardy-updates on 2009-06-13
Superseded in hardy-security on 2009-06-12
xulrunner-1.9 (1.9.0.10+nobinonly-0ubuntu0.8.04.1) hardy-security; urgency=low

  * security/stability v1.9.0.10 (FIREFOX_3_0_10_RELEASE)
    - see USN-765-1

 -- Alexander Sack <email address hidden>   Sat, 25 Apr 2009 14:42:09 +0200
Superseded in jaunty-updates on 2009-04-28
Superseded in jaunty-security on 2009-04-28
xulrunner-1.9 (1.9.0.9+nobinonly-0ubuntu0.9.04.1) jaunty-security; urgency=low

  * security/stability v1.9.0.9 (FIREFOX_3_0_9_RELEASE)
    - see USN-764-1

 -- Alexander Sack <email address hidden>   Tue, 21 Apr 2009 13:55:36 +0200
Superseded in intrepid-updates on 2009-04-28
Superseded in intrepid-security on 2009-04-28
xulrunner-1.9 (1.9.0.9+nobinonly-0ubuntu0.8.10.1) intrepid-security; urgency=low

  * security/stability v1.9.0.9 (FIREFOX_3_0_9_RELEASE)
    - see USN-764-1

 -- Alexander Sack <email address hidden>   Tue, 21 Apr 2009 13:54:43 +0200
Superseded in hardy-updates on 2009-04-28
Superseded in hardy-security on 2009-04-28
xulrunner-1.9 (1.9.0.9+nobinonly-0ubuntu0.8.04.1) hardy-security; urgency=low

  * security/stability v1.9.0.9 (FIREFOX_3_0_9_RELEASE)
    - see USN-764-1

 -- Alexander Sack <email address hidden>   Tue, 21 Apr 2009 13:53:28 +0200
Superseded in karmic-release on 2009-04-29
Obsolete in jaunty-release on 2013-02-28
xulrunner-1.9 (1.9.0.8+nobinonly-0ubuntu2) jaunty; urgency=low

  * zero change rebuild to fix damage by python transition; see
    LP: #351988 and LP: #350594

 -- Alexander Sack <email address hidden>   Tue, 31 Mar 2009 02:30:14 +0200
Superseded in jaunty-release on 2009-03-31
xulrunner-1.9 (1.9.0.8+nobinonly-0ubuntu1) jaunty; urgency=low

  * security/stability v1.9.0.8 (FIREFOX_3_0_8_RELEASE)
    - see USN-745-1

 -- Alexander Sack <email address hidden>   Fri, 27 Mar 2009 11:01:58 +0100
Superseded in intrepid-updates on 2009-04-23
Superseded in intrepid-security on 2009-04-23
xulrunner-1.9 (1.9.0.8+nobinonly-0ubuntu0.8.10.1) intrepid-security; urgency=low

  * security/stability v1.9.0.8 (FIREFOX_3_0_8_RELEASE)
    - see USN-745-1

 -- Alexander Sack <email address hidden>   Fri, 27 Mar 2009 11:09:19 +0100
Superseded in hardy-updates on 2009-04-23
Superseded in hardy-security on 2009-04-23
xulrunner-1.9 (1.9.0.8+nobinonly-0ubuntu0.8.04.1) hardy-security; urgency=low

  * security/stability v1.9.0.8 (FIREFOX_3_0_8_RELEASE)
    - see USN-745-1

 -- Alexander Sack <email address hidden>   Fri, 27 Mar 2009 11:11:42 +0100
Superseded in jaunty-release on 2009-03-28
xulrunner-1.9 (1.9.0.7+nobinonly-0ubuntu1) jaunty; urgency=low

  * security/stability v1.9.0.7 (FIREFOX_3_0_7_RELEASE)
    - USN-728-1
  * bump required soft-depends on nspr to >= 4.7.3
    - update debian/rules

 -- Alexander Sack <email address hidden>   Thu, 05 Mar 2009 17:19:38 +0100
Superseded in intrepid-updates on 2009-03-28
Superseded in intrepid-security on 2009-03-28
xulrunner-1.9 (1.9.0.7+nobinonly-0ubuntu0.8.10.1) intrepid-security; urgency=low

  * security/stability v1.9.0.7 (FIREFOX_3_0_7_RELEASE)
    - USN-728-1

 -- Alexander Sack <email address hidden>   Wed, 04 Mar 2009 20:25:39 +0100
Superseded in hardy-updates on 2009-03-28
Superseded in hardy-security on 2009-03-28
xulrunner-1.9 (1.9.0.7+nobinonly-0ubuntu0.8.04.1) hardy-security; urgency=low

  * security/stability v1.9.0.7 (FIREFOX_3_0_7_RELEASE)
    - USN-728-1

 -- Alexander Sack <email address hidden>   Wed, 04 Mar 2009 20:13:00 +0100
Superseded in jaunty-release on 2009-03-05
xulrunner-1.9 (1.9.0.6+nobinonly-0ubuntu1.1) jaunty; urgency=low

  * No change upload to rebuild with python2.6.

 -- Matthias Klose <email address hidden>   Wed, 25 Feb 2009 11:10:05 +0100
Superseded in intrepid-updates on 2009-03-06
Superseded in intrepid-security on 2009-03-06
xulrunner-1.9 (1.9.0.6+nobinonly-0ubuntu0.8.10.1) intrepid-security; urgency=low

  * security/stability update v1.9.0.6 (FIREFOX_3_0_6_RELEASE)
    - USN-717-1
  * adjust patches to changed code base
    - update debian/patches/dom_inspector_support_for_prism.patch

 -- Alexander Sack <email address hidden>   Thu, 05 Feb 2009 09:16:40 +0100
Superseded in hardy-updates on 2009-03-06
Superseded in hardy-security on 2009-03-06
xulrunner-1.9 (1.9.0.6+nobinonly-0ubuntu0.8.04.1) hardy-security; urgency=low

  * security/stability release v1.9.0.6 (FIREFOX_3_0_6_RELEASE)
    - USN-717-1
  * adjust patches to changed code base
    - update debian/patches/dom_inspector_support_for_prism.patch

 -- Alexander Sack <email address hidden>   Thu, 05 Feb 2009 09:26:38 +0100
Superseded in jaunty-release on 2009-02-27
xulrunner-1.9 (1.9.0.6+nobinonly-0ubuntu1) jaunty; urgency=low

  [ Alexander Sack <email address hidden> ]
  * new security/stability update v1.9.0.6 (FIREFOX_3_0_6_RELEASE)
    - see USN-717-1
  * adjust patches to changed code base
    - update debian/patches/dom_inspector_support_for_prism.patch

  [ Fabien Tassin <email address hidden> ]
  * Fix preinst script to better handle the /etc/gre.d clean-up
    - update debian/xulrunner-1.9.preinst.in
  * Fix permissions in the -dev package (LP: #303940)
    - update debian/rules

 -- Alexander Sack <email address hidden>   Thu, 05 Feb 2009 09:12:37 +0100
Superseded in jaunty-release on 2009-02-05
xulrunner-1.9 (1.9.0.5+nobinonly-0ubuntu1) jaunty; urgency=low

  * new security/stability upstream release v1.9.0.5 (FIREFOX_3_0_5_RELEASE)
    - see USN-690-1
  * submit patches upstreamed:
    - bzXXX_plugin_for_mimetype_pref.patch => bz449188_att350098_plugin_for_mimetype_pref.patch
    - update debian/patches/series
  * adjust XULFastLoad cache in response to interleaving landing of bmo
    #453545 and #462806
    - update debian/patches/bz368428_attachment_308130.patch

 -- Alexander Sack <email address hidden>   Tue, 16 Dec 2008 18:40:18 +0100
Superseded in intrepid-updates on 2009-02-10
Superseded in intrepid-security on 2009-02-10
xulrunner-1.9 (1.9.0.5+nobinonly-0ubuntu0.8.10.1) intrepid-security; urgency=low

  * new security/stability upstream release v1.9.0.5 (FIREFOX_3_0_5_RELEASE)
    - see USN-690-1
  * adjust XULFastLoad cache in response to interleaving landing of bmo
    #453545 and #462806
    - update debian/patches/bz368428_attachment_308130.patch

 -- Alexander Sack <email address hidden>   Tue, 16 Dec 2008 17:06:13 +0100
Superseded in hardy-updates on 2009-02-10
Superseded in hardy-security on 2009-02-10
xulrunner-1.9 (1.9.0.5+nobinonly-0ubuntu0.8.04.1) hardy-security; urgency=low

  * new security/stability upstream release v1.9.0.5 (FIREFOX_3_0_5_RELEASE)
    - see USN-690-1
  * adjust XULFastLoad cache in response to interleaving landing of bmo
    #453545 and #462806
    - update debian/patches/bz368428_attachment_308130.patch

 -- Alexander Sack <email address hidden>   Tue, 16 Dec 2008 17:08:14 +0100
Superseded in jaunty-release on 2008-12-17
xulrunner-1.9 (1.9.0.4+nobinonly-0ubuntu1) jaunty; urgency=low

  * new stability/security update FIREFOX_3_0_4_RELEASE (v1.9.0.4)
    - see USN-667-1

  [ Alexander Sack ]
  * adjust patches
    - update debian/patches/bz368428_attachment_308130.patch
  * (hackily) fix build on armel by disabling -Werror in network/cookie/src;
    - add debian/patches/ARMEL_Wno_error_in_network_cookie_src.patch
    - update debian/patches/series

  [ Fabien Tassin ]
  * Improve convergence with the 1.9.1 branch by removing more
    hardcoded 1.9
    - rename debian/xulrunner-1.9.postinst => debian/xulrunner-1.9.postinst.in
    - rename debian/xulrunner-1.9.prerm => debian/xulrunner-1.9.prerm.in
    - update debian/rules
  * Drop obsolete /etc/gre.d files generated by this package
    - add debian/xulrunner-1.9.preinst.in
    - update debian/rules

 -- Alexander Sack <email address hidden>   Sun, 16 Nov 2008 17:05:19 +0100
Superseded in intrepid-updates on 2008-12-18
Superseded in intrepid-security on 2008-12-17
xulrunner-1.9 (1.9.0.4+nobinonly-0ubuntu0.8.10.1) intrepid-security; urgency=low

  * new stability/security update FIREFOX_3_0_4_RELEASE (v1.9.0.4)
    - see USN-667-1

  * adjust patches
    - update debian/patches/bz368428_attachment_308130.patch

 -- Alexander Sack <email address hidden>   Wed, 12 Nov 2008 17:06:40 +0100
Superseded in hardy-updates on 2008-12-18
Superseded in hardy-security on 2008-12-17
xulrunner-1.9 (1.9.0.4+nobinonly-0ubuntu0.8.04.1) hardy-security; urgency=low

  * new stability/security update FIREFOX_3_0_4_RELEASE (v1.9.0.4)
    - see USN-667-1

  * adjust patches
    - update debian/patches/bz368428_attachment_308130.patch

 -- Alexander Sack <email address hidden>   Wed, 12 Nov 2008 16:15:45 +0100
Obsolete in gutsy-backports on 2011-09-16
xulrunner-1.9 (1.9.0.3+build1+nobinonly-0ubuntu0.8.04.1~gutsy1) gutsy-backports; urgency=low

  * Update backport to Gutsy: Merge latest changes from hardy-security.
    Remaining backports changes:
    - Keep compiz hint popup patch; bug still affects Gutsy Compiz.
  * LP: #284508

 -- John Dong <email address hidden>   Thu, 16 Oct 2008 11:23:46 -0400
Superseded in jaunty-release on 2008-11-16
Obsolete in intrepid-release on 2013-02-20
xulrunner-1.9 (1.9.0.3+nobinonly-0ubuntu1) intrepid; urgency=low

  * Rename upstream tarball: 1.9.0.3 - no change upload

 -- Fabien Tassin <email address hidden>   Mon, 13 Oct 2008 16:10:34 +0200
Superseded in hardy-updates on 2008-11-17
Superseded in hardy-security on 2008-11-17
xulrunner-1.9 (1.9.0.3+build1+nobinonly-0ubuntu0.8.04.1) hardy-security; urgency=low

  regression fix release (v1.9.0.3 build1)
  - see USN-645-3

  * fix LP: #270429 - [MASTER] passwords lost from 3.0.1 to 3.0.2; we prepatch
    the upstream fix for bz454708
    - add debian/patches/bz454708_att340035.patch
    - update debian/patches/series

 -- Alexander Sack <email address hidden>   Thu, 25 Sep 2008 11:50:06 +0200
Superseded in intrepid-release on 2008-10-13
xulrunner-1.9 (1.9.0.3+build1+nobinonly-0ubuntu2) intrepid; urgency=low

  regression fix release (v1.9.0.3 build1)
  - see USN-645-3

  * fix LP: #270429 - [MASTER] passwords lost from 3.0.1 to 3.0.2; we drop
    the prepatch shipped in previous package as this was applied upstream now.
    - delete debian/patches/bz454708_att340035.patch
    - update debian/patches/series

 -- Alexander Sack <email address hidden>   Thu, 25 Sep 2008 17:05:45 +0200
Superseded in intrepid-release on 2008-09-25
xulrunner-1.9 (1.9.0.3+build1+nobinonly-0ubuntu1) intrepid; urgency=low

  regression fix release (v1.9.0.3 build1)
  - see USN-645-3

  * fix LP: #270429 - [MASTER] passwords lost from 3.0.1 to 3.0.2; we prepatch
    the upstream fix for bz454708
    - add debian/patches/bz454708_att340035.patch
    - update debian/patches/series

 -- Alexander Sack <email address hidden>   Thu, 25 Sep 2008 12:43:58 +0200
Superseded in intrepid-release on 2008-09-25
xulrunner-1.9 (1.9.0.2+build6+nobinonly-0ubuntu2) intrepid; urgency=low

  * fix LP: #270429 - [MASTER] passwords lost from 3.0.1 to 3.0.2; we prepatch
    the upstream fix for bz454708
    - add debian/patches/bz454708_att340035.patch
    - update debian/patches/series

 -- Alexander Sack <email address hidden>   Wed, 24 Sep 2008 19:33:05 +0200
Superseded in hardy-updates on 2008-09-25
Superseded in hardy-security on 2008-09-25
xulrunner-1.9 (1.9.0.2+build6+nobinonly-0ubuntu0.8.04.1) hardy-security; urgency=low

  * new stability/security update (v1.9.0.2 build6)
    - see USN-645-1

 -- Alexander Sack <email address hidden>   Mon, 22 Sep 2008 13:29:47 +0200
Superseded in intrepid-release on 2008-09-24
xulrunner-1.9 (1.9.0.2+build6+nobinonly-0ubuntu1) intrepid; urgency=low

  Security/Stability update (v1.9.0.2 build6)
  - see USN-645-1

  [ Alexander Sack <email address hidden> ]
  * preferred plugins are now matched by pref filename it is just a substring
    of the plugins fullname/fullpath. Otherwise the plugin alternative config
    dialog cannot use the filename it gets from navigator.plugins[x].filename
    when plugin.expose_full_path is false.
    - update debian/patches/bzXXX_plugin_for_mimetype_pref.patch
  * fix LP: #269580 - ubufox fails to restart firefox on major version
    upgrades; new patch that makes toolkit/xre/ LaunchChild also try
    /usr/bin/`basename $0` before using $0 to launch the child process
    - add debian/patches/system_path_launch_child.patch
    - update debian/patches/series

  [ Fabien Tassin <email address hidden> ]
  * Fix broken symlink for system-grepref.js in /etc/xulrunner-$(DEB_MOZ_VERSION)
    - update debian/rules
  * Improve way to fix permissions for images, text and source files
    - update debian/rules
  * Use new style/look for "about:" pages
    - add debian/patches/bz372826_att337031_about_style.patch
    - update debian/patches/series

 -- Fabien Tassin <email address hidden>   Tue, 23 Sep 2008 17:38:00 +0200
Superseded in intrepid-release on 2008-09-23
xulrunner-1.9 (1.9.0.2+build3+nobinonly-0ubuntu1) intrepid; urgency=low

  [ Sasa Bodiroza ]
  * In debian/rules:
    - Set 644 chmod to png files (LP: #252793) [Patch by Paolo Naldini]

  [ Fabien Tassin ]
  * improve create-build-system.sh to detect build-tree directory
    when embedded tarball is used. Fix un-escaped variables.
    Create build-system.tar.gz in the debian directory to prevent
    cdbs to check and unpack it during the build
    - update debian/create-build-system.sh
  * Fix variables when an embedded tarball is used
    - update debian/rules
  * Fix buffer overflow in realpath() at runtime and drop -U_FORTIFY_SOURCE
    from CPPFLAGS (LP: #263014)
    - add debian/patches/bz412610_att335369_realpath_overflow.patch
    - update debian/patches/series

  [ Alexander Sack <email address hidden> ]
  * introduce preferred plugins by mime-type experimental feature;
    you can now set a pref to explicitly select a plugin to serve a particilar
    mime-type; patch contains further documentation.
    - add debian/patches/bzXXX_plugin_for_mimetype_pref.patch
    - update debian/patches/series
  * drop patches applied upstream
    - drop bz120380_att326044.patch (fixed by bz442629)
    - update debian/patches/series

 -- Fabien Tassin <email address hidden>   Tue, 2 Sep 2008 11:54:00 +0200
Superseded in hardy-updates on 2008-09-24
Superseded in hardy-security on 2008-09-24
xulrunner-1.9 (1.9.0.1+build1+nobinonly-0ubuntu0.8.04.3) hardy-security; urgency=low

  * no change rebuild for security

 -- Jamie Strandboge <email address hidden>   Mon, 28 Jul 2008 15:55:00 -0400
Superseded in intrepid-release on 2008-09-02
xulrunner-1.9 (1.9.0.1+build1+nobinonly-0ubuntu1) intrepid; urgency=low

  * LP: #247494 - new upstream stability/security release (v1.9.0.1 build1)
    - see USN-626-1

  [ Fabien Tassin <email address hidden>]
  * Add a build-system for xulrunner application inside the SDK.
    mozilla-devscripts is able to make use of this
    - add debian/create-build-system.sh
    - update debian/rules
  * Rename the ld.so.conf.d file to xulrunner-1.9.conf as it seems
    extension matters
    - update debian/rules
    - update debian/xulrunner-1.9.postinst
  * Get DEB_MOZ_VERSION and DEB_MOZ_VERSION from changelog and make more use
    of variables to make the merge with the 1.9.1 branch easier
    - update debian/rules
    - update debian/xulrunner-1.9.postinst
    - update debian/xulrunner-1.9.postrm
  * Make EM_TRANSLATION_VERSION follow upstream version now that strings are
    hard frozen and bump EM_TRANSLATION_MAX_VERSION to 1.9.0.*
    - update debian/rules

  [ Alexander Sack <email address hidden> ]
  * borrow lockPref patch from debian xulrunner (Debbugs: #469020)
    - add debian/patches/bzXXX_deb469020_lockPref_everywhere.patch
    - update debian/patches/series
  * Debian compatibility patch that is supposed to make xulrunner also
    consider /usr/lib/mozilla/plugins/ in sid as of xulrunner 1.9~rc2-4
    - add debian/patches/bzXXX_sysplugin_support.patch
    - update debian/patches/series
  * prepatch fix for bmo: #120380 - 'needsterminal flag in mailcap
    must be respected'
    - add debian/patches/bz120380_att326044.patch
    - update debian/patches/series
  * add xre part missed by debian for sysplugin support
    - add debian/patches/bzXXX_sysplugin_support_xre_part.patch
    - update debian/patches/series
  * drop patches applied upstream
    - delete debian/patches/bz428848_att319775_fix_venkman_chrome_access.patch
    - update debian/patches/series
  * housekeeping for debian/patches directory; remove obsolete patches from
    debian/patches/ and drop commented patches from series
    - delete debian/patches/bz384304_fix_recursive_symlinks.patch
    - delete debian/patches/bzr423334_att310581_leak_initparser.patch
    - debian/patches/drop_bz418016.patch
    - update debian/patches/series
  * (disabled in intrepid) fix "jemalloc not enabled in --with-xul-sdk= builds": we
    fix this by building libjemalloc as a static lib and linking xulrunner-bin and
    xulrunner-stub against it.
    - add debian/patches/jemalloc_in_xul.patch
    - add debian/patches/jemalloc_static.patch
    - update debian/patches/series
    - update debian/rules
    - update debian/xulrunner-1.9.postinst
  * link nss/nspr include directories to xulrunner-1.9 sdk in order to
    allow upstream extensions to be built against ubuntu xulrunner.
    - add debian/xulrunner-1.9-dev.links
  * add empty xulrunner-dev package to ease sync/merge tasks for ubuntu
    by providing the package name used by debian.
    - update debian/control
  * fix makefile style variable eval in xulrunner-1.9 prerm script and use
    proper sh'ish style
    - update debian/xulrunner-1.9.prerm
  * add code/debug-support to disable -Bsymbolic-functions linkage - but keep
    it commented by default
    - update debian/rules
  * hold back upgrade until firefox 3.0.1 is available; for that, we add a
    Breaks: firefox-3.0 (<< 3.0.1) to xulrunner-1.9 binary package
    - update debian/control
  * fix LP: #247132 - The Prism Refractor Extension (v0.2) causes file
    downloads to kill firefox 3; we fix this by introducing a NULL check
    in our bz368428 "XUL FastLoad cache corruption" patch
    - update debian/patches/bz368428_attachment_308130.patch

 -- Alexander Sack <email address hidden>   Fri, 18 Jul 2008 17:36:30 +0200
Superseded in hardy-security on 2008-07-28
Superseded in hardy-updates on 2008-07-29
Deleted in hardy-proposed on 2008-07-30 (Reason: moved to -updates)
xulrunner-1.9 (1.9.0.1+build1+nobinonly-0ubuntu0.8.04.2) hardy-proposed; urgency=low

  * LP: #247494 - new stability/security update (v1.9.0.1 build1)
    - see USN-626-1

  (cherry pick rev303 from lp:~mozillateam/xulrunner/xulrunner-1.9.head)
  * Make EM_TRANSLATION_VERSION follow upstream version now that strings are
    hard frozen and bump EM_TRANSLATION_MAX_VERSION to 1.9.0.*
    - update debian/rules

  (cherry pick rev304 from lp:~mozillateam/xulrunner/xulrunner-1.9.head)
  * Let EM_TRANSLATION_* be late evaluated so it helps embedded tarballs
    - update debian/rules

  (cherry pick rev305 from lp:~mozillateam/xulrunner/xulrunner-1.9.head)
  * link nss/nspr include directories to xulrunner-1.9 sdk in order to
    allow upstream extensions to be built against ubuntu xulrunner.
    - add debian/xulrunner-1.9-dev.links

  (cherry pick rev312 from lp:~mozillateam/xulrunner/xulrunner-1.9.head)
  * drop patches applied upstream
    - delete debian/patches/bz428848_att319775_fix_venkman_chrome_access.patch
    - update debian/patches/series

  (cherry pick rev313 from lp:~mozillateam/xulrunner/xulrunner-1.9.head)
  * hold back upgrade until firefox 3.0.1 is available; for that, we add a
    Breaks: firefox-3.0 (<< 3.0.1) to xulrunner-1.9 binary package
    - update debian/control

  (cherry pick rev314 from lp:~mozillateam/xulrunner/xulrunner-1.9.head)
  * fix LP: #247132 - The Prism Refractor Extension (v0.2) causes file
    downloads to kill firefox 3; we fix this by introducing a NULL check
    in our bz368428 "XUL FastLoad cache corruption" patch
    - update debian/patches/bz368428_attachment_308130.patch

  * dont use debhelper .links file to better guess the right path based
    on the xulrunner version and implement the linking manually in rules
    - delete debian/xulrunner-1.9-dev.links
    - update debian/rules
  * fix .autoreg touch to use the right upstream version too
    - update debian/rules

 -- Alexander Sack <email address hidden>   Fri, 11 Jul 2008 09:46:57 +0200
Superseded in hardy-proposed on 2008-07-17
xulrunner-1.9 (1.9.0.1+build1+nobinonly-0ubuntu0.8.04.1) hardy-proposed; urgency=low

  * LP: #247494 - new stability/security update (v1.9.0.1 build1)
    - see USN-623-1

  (cherry pick rev303 from lp:~mozillateam/xulrunner/xulrunner-1.9.head)
  * Make EM_TRANSLATION_VERSION follow upstream version now that strings are
    hard frozen and bump EM_TRANSLATION_MAX_VERSION to 1.9.0.*
    - update debian/rules

  (cherry pick rev304 from lp:~mozillateam/xulrunner/xulrunner-1.9.head)
  * Let EM_TRANSLATION_* be late evaluated so it helps embedded tarballs
    - update debian/rules

  (cherry pick rev305 from lp:~mozillateam/xulrunner/xulrunner-1.9.head)
  * link nss/nspr include directories to xulrunner-1.9 sdk in order to
    allow upstream extensions to be built against ubuntu xulrunner.
    - add debian/xulrunner-1.9-dev.links

  (cherry pick rev312 from lp:~mozillateam/xulrunner/xulrunner-1.9.head)
  * drop patches applied upstream
    - delete debian/patches/bz428848_att319775_fix_venkman_chrome_access.patch
    - update debian/patches/series

  (cherry pick rev313 from lp:~mozillateam/xulrunner/xulrunner-1.9.head)
  * hold back upgrade until firefox 3.0.1 is available; for that, we add a
    Breaks: firefox-3.0 (<< 3.0.1) to xulrunner-1.9 binary package
    - update debian/control

  (cherry pick rev314 from lp:~mozillateam/xulrunner/xulrunner-1.9.head)
  * fix LP: #247132 - The Prism Refractor Extension (v0.2) causes file
    downloads to kill firefox 3; we fix this by introducing a NULL check
    in our bz368428 "XUL FastLoad cache corruption" patch
    - update debian/patches/bz368428_attachment_308130.patch

  * dont use debhelper .links file to better guess the right path based
    on the xulrunner version and implement the linking manually in rules
    - delete debian/xulrunner-1.9-dev.links
    - update debian/rules
  * fix .autoreg touch to use the right upstream version too
    - update debian/rules

 -- Alexander Sack <email address hidden>   Fri, 11 Jul 2008 09:46:57 +0200
Superseded in intrepid-release on 2008-07-18
xulrunner-1.9 (1.9+nobinonly-0ubuntu2) intrepid; urgency=low

  * New upstream release 1.9 RC2 (LP: #237690)

  [ Alexander Sack <email address hidden> ]
  * Fix LP: #236266 - "Build Failure on HPPA architecture" by applying patch
    from bugzilla https://bugzilla.mozilla.org/show_bug.cgi?id=436133
    - add debian/patches/bz436133_att322801.patch
    - update debian/patches/series
  * drop image scaling patches - previously applied and finally superseeded
    upstream to fix Vista bug https://bugzilla.mozilla.org/show_bug.cgi?id=434157
    - delete debian/patches/bz394103_dont_scale_images.patch
    - delete debian/patches/bz394103_scale_images_for_192+dpi.patch
    - update debian/patches/series
  * update patch for Bug 368428 – "XUL FastLoad cache corruption when
    application running"; fix deadlock by using "antiLockZipGrip".
    (LP: #236984)
    - update debian/patches/bz368428_attachment_308130.patch

  [ Fabien Tassin <email address hidden> ]
  * drop synchronous = NORMAL patch, now applied upstream
    - delete debian/patches/bz421482_att320806_synchronous_NORMAL_for_storage_connections.patch
    - update debian/patches/series
  * Fix regression with venkman accessing chrome by applying patch
    from bugzilla https://bugzilla.mozilla.org/show_bug.cgi?id=428848
    - add debian/patches/bz428848_att319775_fix_venkman_chrome_access.patch
    - update debian/patches/series
  * Touch .autoreg in postinst with the exact GRE version as the glob is
    causing troubles when multiple xulrunner are installed
    - update debian/xulrunner-1.9.postinst
    - update debian/xulrunner-1.9-gnome-support.postinst
  * Don't install a libsqlite3.so.0 symlink if we are using system sqlite
    - update debian/rules

 -- Fabien Tassin <email address hidden>   Tue, 10 Jun 2008 12:51:56 +0200
Superseded in hardy-updates on 2008-07-24
Deleted in hardy-proposed on 2008-07-25 (Reason: moved to -updates)
xulrunner-1.9 (1.9+nobinonly-0ubuntu0.8.04.1) hardy-proposed; urgency=low

  * New upstream release 1.9 (LP: #237690)

  [ Fabien Tassin <email address hidden> ]
  * Touch .autoreg in postinst with the exact GRE version as the glob is
    causing troubles when multiple xulrunner are installed
    - update debian/xulrunner-1.9.postinst
    - update debian/xulrunner-1.9-gnome-support.postinst
  * drop synchronous = NORMAL patch, now applied upstream
    - delete debian/patches/bz421482_att320806_synchronous_NORMAL_for_storage_connections.patch
    - update debian/patches/series
  * Fix regression with venkman accessing chrome by applying patch
    from bugzilla https://bugzilla.mozilla.org/show_bug.cgi?id=428848
    - add debian/patches/bz428848_att319775_fix_venkman_chrome_access.patch
    - update debian/patches/series

  [ Alexander Sack  <email address hidden> ]
  * drop image scaling patches - previously applied and finally superseeded
    upstream to fix Vista bug https://bugzilla.mozilla.org/show_bug.cgi?id=434157
    - delete debian/patches/bz394103_dont_scale_images.patch
    - delete debian/patches/bz394103_scale_images_for_192+dpi.patch
    - update debian/patches/series

 -- Alexander Sack <email address hidden>   Tue, 10 Jun 2008 14:12:24 +0200
Superseded in intrepid-release on 2008-06-10
xulrunner-1.9 (1.9+nobinonly-0ubuntu1) intrepid; urgency=low

  * New upstream release 1.9 (LP: #237690)

  [ Alexander Sack <email address hidden> ]
  * Fix LP: #236266 - "Build Failure on HPPA architecture" by applying patch
    from bugzilla https://bugzilla.mozilla.org/show_bug.cgi?id=436133
    - add debian/patches/bz436133_att322801.patch
    - update debian/patches/series
  * drop image scaling patches - previously applied and finally superseeded
    upstream to fix Vista bug https://bugzilla.mozilla.org/show_bug.cgi?id=434157
    - delete debian/patches/bz394103_dont_scale_images.patch
    - delete debian/patches/bz394103_scale_images_for_192+dpi.patch
    - update debian/patches/series
  * update patch for Bug 368428 – "XUL FastLoad cache corruption when
    application running"; fix deadlock by using "antiLockZipGrip".
    (LP: #236984)
    - update debian/patches/bz368428_attachment_308130.patch

  [ Fabien Tassin <email address hidden> ]
  * drop synchronous = NORMAL patch, now applied upstream
    - delete debian/patches/bz421482_att320806_synchronous_NORMAL_for_storage_connections.patch
    - update debian/patches/series
  * Fix regression with venkman accessing chrome by applying patch
    from bugzilla https://bugzilla.mozilla.org/show_bug.cgi?id=428848
    - add debian/patches/bz428848_att319775_fix_venkman_chrome_access.patch
    - update debian/patches/series
  * Touch .autoreg in postinst with the exact GRE version as the glob is
    causing troubles when multiple xulrunner are installed
    - update debian/xulrunner-1.9.postinst
    - update debian/xulrunner-1.9-gnome-support.postinst
  * Don't install a libsqlite3.so.0 symlink if we are using system sqlite
    - update debian/rules

 -- Fabien Tassin <email address hidden>   Tue, 10 Jun 2008 12:51:56 +0200
Superseded in hardy-updates on 2008-06-17
Deleted in hardy-proposed on 2008-06-18 (Reason: moved to -updates)
xulrunner-1.9 (1.9~rc1+nobinonly-0ubuntu1~8.04.2) hardy-proposed; urgency=low

  * update patch for Bug 368428 – "XUL FastLoad cache corruption when
    application running"; fix deadlock by using "antiLockZipGrip".
    (LP: #236984)
    - update debian/patches/bz368428_attachment_308130.patch

Superseded in intrepid-release on 2008-06-10
xulrunner-1.9 (1.9~rc1+nobinonly-0ubuntu2) intrepid; urgency=low

  * Fix FTBFS with hunspell 1.2 by splitting extensions/spellcheck/hunspell/src
    to separate the hunspell library from the XPCOM glue (LP: #233922)
    - add debian/patches/bz429747_att317495+move_hunspell_1.2.patch
    - update debian/patches/series
  * Drop irc (chatzilla) from DEB_MOZ_EXTENSIONS, we never packaged it
    from there anyway
    - update debian/rules
  * cherry-pick 1.9b5 to 1.9rc1 upgrade Breaks: yelp (<< 2.22.1-0ubuntu2.8.04.1),
    midbrowser (<< 0.3.0rc1), devhelp (<< 0.19-1ubuntu1.8.04.1)
    - update debian/control

Superseded in hardy-proposed on 2008-06-03
xulrunner-1.9 (1.9~rc1+nobinonly-0ubuntu1~8.04.1) hardy-proposed; urgency=low

  * New upstream release 1.9 RC1 (LP: #233922)

  [ Fabien Tassin <email address hidden> ]
  * Bump EM_TRANSLATION_VERSION and EM_TRANSLATION_{MIN,MAX}_VERSION to 1.9
    and clean-up the code to avoid unnecessary complexity
    - update debian/rules
  * Drop patch applied upstream
    - drop debian/patches/bz423060_att312807_fix_rss_subscription.patch
    - drop debian/patches/bz425814_att315081.patch
    - drop debian/patches/inspector_maxversion_bump.patch
    - update debian/patches/series
  * Update diverges patches
    - update debian/patches/bz394103_dont_scale_images.patch
    - update debian/patches/bzXXX_gre_extension_plugin_support.patch
    - update debian/patches/dom_inspector_support_for_prism.patch
  * Build with system bzip2
    - update debian/rules
  * Workaround multiple crashes in Intrepid (at least 3 in realpath()) caused
    by Intrepid shipping gcc 4.3 with -D_FORTIFY_SOURCE=2 by default.
    Set CPPFLAGS to -U_FORTIFY_SOURCE
    - update debian/rules
  * Drop LDFLAGS workaround now that jemalloc is no longer a static lib.
    We still ship jemalloc as a shared lib
    - udate debian/rules
  * Set synchronous = NORMAL by default for storage to avoid excessive fsync.
    It could be changed using the toolkit.storage.synchronous preference using
    values of 0 (OFF), 1 (NORMAL), and 2 (FULL)
    - add debian/patches/bz421482_att320806_synchronous_NORMAL_for_storage_connections.patch
    - update debian/patches/series

  [ Alexander Sack <email address hidden> ]
  * remove cherry-pick for LP: #215728 - "excess disk IO when updating the
    url-classifier" - applied upstream
    - drop debian/patches/bz430530_attachment_318939.patch
    - update debian/patches/series
  * and cut out the "ship urlclassifier. settings in toolkit" part of the
    patch to a separate one, targetted for upstream
    - add debian/patches/bzXXX_urlclassifier_prefs_in_toolkit.patch
    - update debian/patches/series
  * prepatch from bugzilla fix for "Bug 368428 – XUL FastLoad cache corruption
    when application running while upgrading"
    - add debian/patches/bz368428_attachment_308130.patch
    - update debian/patches/series
  * 1.9b5 to 1.9rc1 upgrade Breaks: epiphany-gecko (<<
    2.22.1.1-0ubuntu1.8.04.1), yelp (<< 2.22.1-0ubuntu2.8.04.1), midbrowser
    (<< 0.3.0rc1), devhelp (<< 0.19-1ubuntu1.8.04.1)
    - update debian/control

 -- Alexander Sack <email address hidden>   Mon, 26 May 2008 09:33:05 +0200
175 of 92 results